%define name gamine
%define version 1.1
%define release %mkrel 3

Name:      %{name}
Version:   %{version}
Release:   %{release}
Summary:   An interactive game for young children
License:   WTFPL
Group:     Education
URL:       http://www.gnunux.info/projets/gamine/
Source:    %{name}-%{version}.tar.xz
BuildRoot: %_tmppath/%{name}-%{version}-%{release}-buildroot
BuildRequires: libgtk+2.0_0-devel pkgconfig libxml2-devel gettext
BuildRequires: libgstreamer0.10_0.10-devel
BuildRequires: libcairo-devel
BuildRequires: GConf2-devel
Requires:  gstreamer0.10-plugins-base
Requires:  libstdc++6 >= 4.4.1
Requires:  glibc >= 2.10.1


%description
Gamine is a game designed for 2 years old children who are not able to use
a keyboard. The child uses the mouse to draw coloured dots and lines on the screen.

%prep
%setup -q -n %{name}-%{version}

%build
%make PREFIX=/usr sysconfdir=/etc

%install
rm -rf $RPM_BUILD_ROOT

mkdir -p %{buildroot}%{_bindir}
install -m 755 %{name} %{buildroot}%{_bindir}

mkdir -p %{buildroot}%{_datadir}/%{name}
cp -af sounds %{buildroot}%{_datadir}/%{name}
cp -af %{name}.png %buildroot/%_datadir/%name
cp -af pencil.png %buildroot/%_datadir/%name

#icon
mkdir -p %buildroot/%_datadir/icons
cp -af %{name}.png %buildroot/%_datadir/icons

#menu-entry
mkdir -p %{buildroot}%{_datadir}/applications
cat > %{buildroot}%{_datadir}/applications/%{name}.desktop << EOF
[Desktop Entry]
Encoding=UTF-8
Name=Gamine
Comment=Young child educational game
Exec=%{name}
Icon=%{name}
Terminal=false
Type=Application
Categories=Game;KidsGame;X-MandrivaLinux-MoreApplications-Games-Other;
EOF


%clean
rm -rf $RPM_BUILD_ROOT


%post
%update_menus


%postun
%clean_menus


%files
%defattr(-,root,root)
%doc README COPYING ChangeLog
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_datadir}/%name/%{name}.png
%{_datadir}/icons/%{name}.png
%{_datadir}/%name/pencil.png
%{_datadir}/applications/%{name}.desktop

%changelog
* Sat Feb 05 2011 Aradalf <aradalf at rocketmail dot com> 1.1-3pclos2010
- Added pencil cursor & gamine icon to game data directory

* Fri Feb 04 2011 Aradalf <aradalf at rocketmail dot com> 1.1-2pclos2010
- Fixed prefix error

* Sat Jan 29 2011 Aradalf <aradalf at rocketmail dot com> 1.1-1pclos2010
- Update

* Sun Dec 13 2009 Texstar <texstar at gmail.com> 1.0rc1-2pclos2010
- fix rpm group Education

* Wed Oct 28 2009 slick50 <lxgator@gmail.com> 1.0rc1-1pclos2010
- initial build

